function PRBS = RC4_PRBS(key, L)
% PRBS = RC4_PRBS(key, L)
% This function generates a PRBS (pseudo-random bit sequence) of size L
% using RC4 as the underlying stream cipher.
%
% Shujun Li @ www.hooklee.com 2010-2011

PRBS = [];

if nargin<2
    disp([mfilename ': Two input arguments are needed!']);
    return;
end

PRNS = Encipher(zeros(1,ceil(L/8)), key, 'RC4');
PRBS = num2bit(PRNS);
PRBS(L+1:end) = [];
