function index = get_dict_index(string, dict, dict_indices)
% index = get_dict_index(string, dict, dict_indices)
% This function finds the 0-based index of a string in the dictionary "dict".
% Return -1 if the string is not in the dictionary.
% The third input argument is the indices of all valid entries, which are
% used to speed up this function.
%
% Shujun Li @ www.hooklee.com 2010-2011

index = -1;

if nargin<2
    disp([mfilename ': At least two input arguments are needed!']);
    return;
end
if exist('dict_indices','var')
    if size(dict_indices,1)>1
        dict_indices = dict_indices(:)'; % Must be a row vector
    end
    for i=dict_indices
        if isequal(dict{i}, string)
            index = i - 1;
            break;
        end
    end
else
    for i=1:numel(dict) 
        if isequal(dict{i}, string)
            index = i - 1;
            break;
        end
    end
end
