function y = seconds2time(s)
% y = seconds2time(s)
% This function transforms a number in seconds to a string in the following
% formats:
% "10 days, 11h:11m:11s" (when s>= 1 day)
% "11h:11m:11s" (when 1 hour <= s < 1 day)
% "11m:11s" (when 1 minute <= s < 1 hour)
% "11 seconds" (when s < 1 minute)
%
% Shujun Li @ www.hooklee.com 2010-2011

y(3) = round(rem(s,60));
s = floor(s/60);
y(2) = rem(s,60);
y(1) = floor(s/60);
d = floor(y(1)/24);
y(1) = rem(y(1),24);
if d>1
    y = sprintf('%d days, %02dh:%02dm:%02ds',d,y);
elseif d==1
    y = sprintf('%d day, %02dh:%02dm:%02ds',d,y);
elseif y(1)>0
    y = sprintf('%02dh:%02dm:%02ds',y);
elseif y(2)>0
    y = sprintf('%02dm:%02ds',y(2:3));
else
    y = sprintf('%d seconds',y(3));
end
